wireless tools don't work after upgrade 9.04 --> 9.10

Bug #475526 reported by Ted Parvu on 2009-11-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wireless-tools (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: wireless-tools

After upgrading my Thinkpad R51 which has a Intel® PRO/Wireless 2100 adapter I could no longer connect to my wireless network.

I attempted to use iwconfig from a command line and still couldn't connect. The driver seems OK as I could do a iwlist scanning and see about 8 networks in my area. But no matter what I tried I could not connect to my WEP 64 bit encrypted network. Yeah, I will be changing that to WPA2 soon but one thing at a time....

I am using a Hex Key. In 9.04 I could manually edit my /etc/network/interfaces file and get it to work but not now.

Eventually I installed Wicd and it worked like a charm!

I would have to recommend Wicd for anyone having issues.

ProblemType: Bug
Architecture: i386
Date: Thu Nov 5 09:43:56 2009
DistroRelease: Ubuntu 9.10
Package: wireless-tools 29-2ubuntu6
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: wireless-tools
Uname: Linux 2.6.31-14-generic i686
XsessionErrors: (polkit-gnome-authentication-agent-1:2295): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Ted Parvu (ted-parvu) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers